Bug 1275163 - Removed apps reappear as installed a few seconds after removal
Summary: Removed apps reappear as installed a few seconds after removal
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software   
(Show other bugs)
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Keywords:
Depends On:
Blocks: F23FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2015-10-26 07:50 UTC by Kalev Lember
Modified: 2015-10-31 16:07 UTC (History)
4 users (show)

Fixed In Version: gnome-software-3.18.2-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 16:07:58 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kalev Lember 2015-10-26 07:50:10 UTC
With gnome-software 3.18.x, removed apps incorrectly go back to the installed state a few seconds after removal. Clicking "Remove" again leads to a spew of error messages, as the app is really not installed any more at that point.

Here's a short screencast demonstrating the issue. Note how the "Install" button turns into "Remove" button 3 seconds after installation. It shouldn't do that.

https://kalev.fedorapeople.org/gnome-software-installed-confusion.webm

I would like to fix this for F23 final; proposing as a Freeze Exception.

Comment 1 Fedora Update System 2015-10-26 08:37:32 UTC
gnome-software-3.18.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6900c6a71d

Comment 2 Petr Schindler 2015-10-26 17:31:40 UTC
Discussed at 2015-10-26 blocker review meeting: [1]. 

This bug was accepted as Final blocker: The fix for this looks safe enough and it'd be good to get this pulled into the next compose.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2015-10-26/f23-blocker-review.2015-10-26-16.00.html

Comment 3 Petr Schindler 2015-10-26 17:33:20 UTC
Sorry for confustion. This bug was accepted as FreezeException not a blocker.

Comment 4 Fedora Update System 2015-10-27 02:18:32 UTC
gnome-software-3.18.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-software'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6900c6a71d

Comment 5 Fedora Update System 2015-10-31 16:07:56 UTC
gnome-software-3.18.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.